org.codehaus.plexus.compiler.j2objc

## Class J2ObjCCompiler

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.compiler.AbstractCompiler
    - - org.codehaus.plexus.compiler.j2objc.J2ObjCCompiler

All Implemented Interfaces:
  Compiler, org.codehaus.plexus.logging.LogEnabled

    public class J2ObjCCompiler
    extends AbstractCompiler

A plexus compiler which use J2ObjC . It is derived from the CSharpCompiler to compile with J2ObjC.

Author:
  Ludovic Maître

### Field Summary

### Fields inherited from class org.codehaus.plexus.compiler.AbstractCompiler

`EOL, PS`

### Fields inherited from interface org.codehaus.plexus.compiler.Compiler

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`J2ObjCCompiler()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `canUpdateTarget(CompilerConfiguration configuration)`
`String[]` `createCommandLine(CompilerConfiguration config)` Create the command line that would be executed using this configuration.
`static List<CompilerMessage>` `parseCompilerOutput(BufferedReader bufferedReader)`
`CompilerResult` `performCompile(CompilerConfiguration config)` Performs the compilation of the project.

### Methods inherited from class org.codehaus.plexus.compiler.AbstractCompiler

`compile, getCompilerOutputStyle, getInputFileEnding, getOutputFile, getOutputFileEnding, getPathString, getSourceFiles, getSourceFilesForSourceRoot, makeClassName, toStringArray`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### J2ObjCCompiler

    public J2ObjCCompiler()

### Method Detail

#### canUpdateTarget

    public boolean canUpdateTarget(CompilerConfiguration configuration)
                            throws CompilerException

Specified by:
  `canUpdateTarget` in interface `Compiler`
Overrides:
  `canUpdateTarget` in class `AbstractCompiler`
Throws:
  `CompilerException`

#### performCompile

    public CompilerResult performCompile(CompilerConfiguration config)
                                  throws CompilerException

Description copied from interface: `Compiler`
Performs the compilation of the project. Clients must implement this method.

Specified by:
  `performCompile` in interface `Compiler`
Overrides:
  `performCompile` in class `AbstractCompiler`
Parameters:
  `config` - the configuration description of the compilation to perform
Returns:
  the result of the compilation returned by the language processor
Throws:
  `CompilerException`

#### createCommandLine

    public String[] createCommandLine(CompilerConfiguration config)
                               throws CompilerException

Description copied from interface: `Compiler`
Create the command line that would be executed using this configuration. If this particular compiler has no concept of a command line then returns null.

Parameters:
  `config` - the CompilerConfiguration describing the compilation
Returns:
  an array of Strings that make up the command line, or null if this compiler has no concept of command line
Throws:
  `CompilerException` - if there was an error generating the command line

#### parseCompilerOutput

    public static List<CompilerMessage> parseCompilerOutput(BufferedReader bufferedReader)
                                                     throws IOException

Throws:
  `IOException`